Bug 487508 (CVE-2009-0723) - CVE-2009-0723 LittleCms integer overflow
Summary: CVE-2009-0723 LittleCms integer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0723
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 487513 487514 491272 491273 491274 491703 491704 833922
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-26 13:45 UTC by Josh Bressers
Modified: 2019-09-29 12:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-29 09:26:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0339 normal SHIPPED_LIVE Moderate: lcms security update 2009-03-19 15:05:59 UTC
Red Hat Product Errata RHSA-2009:0377 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2009-04-07 18:36:36 UTC

Description Josh Bressers 2009-02-26 13:45:21 UTC
Chris Evans discovered an integer overflow flaw in LittleCms. This flaw could potentially lead to arbitrary code execution in applications that use the system LittleCms library, or embed the source into their application.

Acknowledgements:

Red Hat would like to thank Chris Evans from the Google Security Team for reporting these issues.

Comment 4 Josh Bressers 2009-03-19 14:55:07 UTC
Lifting embargo

Comment 5 errata-xmlrpc 2009-03-19 15:05:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0339 https://rhn.redhat.com/errata/RHSA-2009-0339.html

Comment 7 Fedora Update System 2009-03-20 18:03:06 UTC
lcms-1.18-0.1.beta2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lcms-1.18-0.1.beta2.fc10

Comment 8 Fedora Update System 2009-03-20 18:04:54 UTC
lcms-1.18-0.1.beta2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lcms-1.18-0.1.beta2.fc9

Comment 9 Tomas Hoger 2009-03-23 07:19:53 UTC
Chris Evans' and oCERT advisories:
  http://scary.beasts.org/security/CESA-2009-003.html
  http://www.ocert.org/advisories/ocert-2009-003.html

Comment 10 Fedora Update System 2009-03-23 09:59:26 UTC
lcms-1.18-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lcms-1.18-1.fc10

Comment 11 Fedora Update System 2009-03-23 09:59:49 UTC
lcms-1.18-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lcms-1.18-1.fc9

Comment 12 Fedora Update System 2009-03-23 15:50:47 UTC
lcms-1.18-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-03-23 15:51:55 UTC
lcms-1.18-0.1.beta2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-03-23 15:53:54 UTC
lcms-1.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-03-23 15:59:16 UTC
lcms-1.18-0.1.beta2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-03-24 05:29:19 UTC
java-1.6.0-openjdk-1.6.0.0-11.b14.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-03-24 05:29:42 UTC
java-1.6.0-openjdk-1.6.0.0-0.21.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Jan Lieskovsky 2009-03-24 17:54:51 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0723 to
this vulnerability:

Multiple integer overflows in LittleCMS (aka lcms or liblcms) before
1.18beta2, as used in Firefox 3.1beta, OpenJDK, and GIMP, allow
context-dependent attackers to execute arbitrary code via a crafted
image file that triggers a heap-based buffer overflow. NOTE: some of
these details are obtained from third party information. 

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0723
http://scary.beasts.org/security/CESA-2009-003.html
http://scarybeastsecurity.blogspot.com/2009/03/littlecms-vulnerabilities.html
http://www.securityfocus.com/bid/34185
http://xforce.iss.net/xforce/xfdb/49326

Comment 20 Fedora Update System 2009-03-25 16:11:21 UTC
java-1.6.0-openjdk-1.6.0.0-0.23.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 errata-xmlrpc 2009-04-07 18:36:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0377 https://rhn.redhat.com/errata/RHSA-2009-0377.html


Note You need to log in before you can comment on or make changes to this bug.